summaryrefslogtreecommitdiffstats
path: root/system/xfe
diff options
context:
space:
mode:
author Robby Workman2010-05-12 17:46:25 +0200
committer Michiel van Wessem2010-05-12 17:46:25 +0200
commit0d47cadf9703d2c9c35438c4286fc555446b5f9c (patch)
treec3470f44441e0dbd85865f9d26838ae88958834f /system/xfe
parent7479935957b12cc26a7743c833770e2f973d7ef0 (diff)
downloadslackbuilds-0d47cadf9703d2c9c35438c4286fc555446b5f9c.tar.gz
system/xfe: Updated for version 1.19.2
Diffstat (limited to 'system/xfe')
-rw-r--r--system/xfe/xfe.SlackBuild42
-rw-r--r--system/xfe/xfe.desktop3
-rw-r--r--system/xfe/xfe.info8
3 files changed, 32 insertions, 21 deletions
diff --git a/system/xfe/xfe.SlackBuild b/system/xfe/xfe.SlackBuild
index 32a32b2b52..84a419b609 100644
--- a/system/xfe/xfe.SlackBuild
+++ b/system/xfe/xfe.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xfe
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2008 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,10 +23,11 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xfe
-VERSION=0.99
+VERSION=1.19.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -36,43 +37,52 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
-mkdir -p $TMP $PKG/usr $OUTPUT
-cd $TMP || exit 1
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+w,go+r-w .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--disable-debug \
--enable-release \
- --enable-shared=yes \
- --enable-static=no \
- --program-prefix="" \
- --program-suffix="" \
- || exit 1
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
mkdir -p $PKG/usr/share/applications
install -m 0644 $CWD/xfe.desktop $PKG/usr/share/applications/xfe.desktop
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS BUGS COPYING ChangeLog FAQ INSTALL NEWS README TODO \
+cp -a AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/system/xfe/xfe.desktop b/system/xfe/xfe.desktop
index 30feeba947..5ed95c0cd2 100644
--- a/system/xfe/xfe.desktop
+++ b/system/xfe/xfe.desktop
@@ -2,10 +2,11 @@
Version=1.0
Encoding=UTF-8
Terminal=false
-Icon=/usr/share/pixmaps/xfe.png
+Icon=xfe
Type=Application
InitialPreference=2
Categories=System;
Exec=xfe
+TryExec=xfe
Name=XFileExplorer
Comment=Lightweight File Manager
diff --git a/system/xfe/xfe.info b/system/xfe/xfe.info
index 7933f938e0..f402869d28 100644
--- a/system/xfe/xfe.info
+++ b/system/xfe/xfe.info
@@ -1,8 +1,8 @@
PRGNAM="xfe"
-VERSION="0.99"
+VERSION="1.19.2"
HOMEPAGE="http://roland65.free.fr/xfe/"
-DOWNLOAD="http://dl.sourceforge.net/xfe/xfe-0.99.tar.gz"
-MD5SUM="fb3513a328eec1b38e0d5b2208b42d78"
+DOWNLOAD="http://downloads.sourceforge.net/xfe/xfe-1.19.2.tar.gz"
+MD5SUM="64e976fbd8ee3faceddd9c73efdc5dee"
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="Erik Hanson"
+APPROVED="michiel"